<div *ngIf="isAccessControlled && isLineDisplayMode"
     class="access-controlled"
>
  <solidify-icon [iconName]="iconNameEnum.accessControlled"></solidify-icon>
  {{labelTranslateEnum.accessControlled | translate}}
</div>
<div class="grid">
  <div class="image-container">
    <solidify-image-display [image]="imageArchive"
                            [mode]="isLineDisplayMode ? imageDisplayModeEnum.IN_ORDER : imageDisplayModeEnum.IN_TILE"
                            class="image-wrapper"
    ></solidify-image-display>

    <div *ngIf="!isLineDisplayMode"
         class="button-wrapper"
    >
      <div [matTooltip]="isAccessControlled ? (archiveAccessRightService.getTooltipDownload(archive, isAccessControlled) | translate) :
    (labelTranslateEnum.downloadArchive | translate)"
      >
        <button (click)="isAccessControlled ? null : download($event)"
                [disabled]="isAccessControlled"
                solidifyRoundButton
                solidifyShortCuts
        >
          <solidify-icon [iconName]="iconNameEnum.download"></solidify-icon>
        </button>
      </div>

      <div *ngIf="!isNotLogged"
           [matTooltip]="labelTranslateEnum.addToDownloadOrder | translate"
      >
        <button (click)="addToCart($event)"
                *ngIf="!alreadyInCart"
                solidifyRoundButton
                solidifyShortCuts
        >
          <solidify-icon [iconName]="iconNameEnum.addToCart"></solidify-icon>
        </button>
      </div>

      <div *ngIf="isAccessControlled && (disableAccessRequest | isFalse)"
           [matTooltip]="labelTranslateEnum.requestAccess | translate"
      >
        <button (click)="sendRequest($event)"
                solidifyRoundButton
                [solidifyRoundButtonDisableRipple]="true"
                class="send-request-round-button"
                solidifyShortCuts
                dlcmPendingAccessRequestButton
                [dlcmPendingAccessRequestButtonType]="'archive'"
                [dlcmPendingAccessRequestButtonResourceId]="archive.resId"
        >
          <solidify-icon [iconName]="iconNameEnum.sendRequest"></solidify-icon>
        </button>
      </div>
    </div>

  </div>
  <div class="orgunit-and-title">
    <dlcm-shared-organizational-unit-name-container [id]="archive.organizationalUnitId"
                                                    class="orgunit"
    ></dlcm-shared-organizational-unit-name-container>
    <span class="title"
          solidifyTooltipOnEllipsis
    >{{archive.title}}</span>
  </div>
  <div class="detailed-infos">
    <span [matTooltip]="publicationDate"
          class="year"
    >
      <solidify-icon [iconName]="iconNameEnum.creationDate"></solidify-icon>
      {{archive.yearPublicationDate}}
    </span>
    <span class="access-level">
      <dlcm-shared-access-level [accessLevel]="archive.accessLevel"></dlcm-shared-access-level>
      {{archive.accessLevelToTranslate | translate}}
    </span>
    <span class="size">
      <solidify-icon [iconName]="archive.isCollection ? iconNameEnum.collection : iconNameEnum.foldersView"></solidify-icon>
      {{archive.sizeDisplay}}
    </span>
  </div>
  <div *ngIf="isLineDisplayMode"
       class="button-wrapper"
  >
    <div *ngIf="mode === 'home-tiles' || mode === 'order'"
         [matTooltip]="archiveAccessRightService.getTooltipDownload(archive, isAccessControlled) | translate"
    >
      <button (click)="download($event)"
              [disabled]="isAccessControlled"
              [solidifyMatButtonTheme]="downloadButtonTheme"
              [matTooltip]="labelTranslateEnum.downloadArchive | translate"
              color="primary"
              mat-button
              solidifyShortCuts
      >
        <solidify-icon [iconName]="iconNameEnum.download"></solidify-icon>
        {{labelTranslateEnum.download | translate}}
      </button>
    </div>
    <div *ngIf="mode === 'home-tiles' && !alreadyInCart">
      <button (click)="addToCart($event)"
              [matTooltip]="labelTranslateEnum.addToDownloadOrder | translate"
              color="primary"
              solidifyMatButtonTheme="flat-button"
              mat-button
              solidifyShortCuts
      >
        <solidify-icon [iconName]="iconNameEnum.addToCart"></solidify-icon>
        {{labelTranslateEnum.add | translate}}
      </button>
    </div>
    <div *ngIf="isAccessControlled && (disableAccessRequest | isFalse)">
      <button (click)="sendRequest($event)"
              color="primary"
              mat-button
              solidifyShortCuts
              dlcmPendingAccessRequestButton
              [dlcmPendingAccessRequestButtonType]="'archive'"
              [dlcmPendingAccessRequestButtonResourceId]="archive.resId"
      >
        <solidify-icon [iconName]="iconNameEnum.sendRequest"></solidify-icon>
        {{labelTranslateEnum.requestAccess | translate}}
      </button>
    </div>
    <div *ngIf="mode === 'order-draft'">
      <button (click)="delete($event)"
              color="primary"
              mat-button
              solidifyShortCuts
      >
        <solidify-icon [iconName]="iconNameEnum.delete"></solidify-icon>
        {{labelTranslateEnum.delete | translate}}
      </button>
    </div>
  </div>
</div>
